Bug Hunting Session
Bug 47603 - EDITING: External update in CALC OLE objects needs manual update for each single object
Summary: EDITING: External update in CALC OLE objects needs manual update for each sin...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL: https://wiki.documentfoundation.org/i...
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-20 11:48 UTC by Rainer Bielefeld Retired
Modified: 2018-01-26 08:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-03-20 11:48:22 UTC
Steps to reproduce with parallel installation of "LOdev 3.5.2rc0+  [Build ID: ec752de-73cb0b8-f269e46] Win-x86@6-fast pull time 2012-03-19 11:08:23 – WIN7 Home Premium (64bit):

1. Download and open document "Media:Regressions.odt" on
   <https://wiki.documentfoundation.org/RBd/TSC_Call_Minutes#Regressions>, enable Edit mode (Click
   Tollbar 'Edit Document' icon)
2. watch Tables "Situation 2012".
   Expected Totals 67/92 should be updated
   Actual: nothing
3. Check menu 'Edit -> Links'
   Expected: Tables will be listed
   Actual: only chart graphic links are listed
4. You will have to doubleclick every single embedded table 
   and proceed update to get current values

The External Data in Spreadsheet objects should be updated automatically and be available more easy.

I believe the current behavior has been inherited from OOo.
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20120312 Firefox/11.0 SeaMonkey/2.8
Comment 1 Rainer Bielefeld Retired 2012-03-20 11:53:56 UTC
Same with LibO 3.3.0
Comment 2 sasha.libreoffice 2012-06-14 01:51:47 UTC
Thanks for new idea
> The External Data in Spreadsheet objects should be updated automatically and be
> available more easy.
For all Spreadsheet editors or some particular?

This attachment is Writer document. And Writer (as any other program) not responsive for OLE internals. It just asks program, responsible for objects of specific type for render or edit this object.

Users often create OLE objects by drag-and-drop something from one program to another. They may expect that such things will remain constant.

Additional investigation needed
Comment 3 Joel Madero 2013-06-28 00:44:26 UTC
Version: 4.1 RC1
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm the enhancement request I am marking as:

New (confirmed)
Enhancement
Medium - seems very useful for anyone wanting to make professional documents such as this one but linking in general isn't utilized by many people (which is unfortunate)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
Comment 4 tagezi 2018-01-22 12:08:22 UTC
It needs either attaching Spreadsheet document or to be change to Writer enhancement.

So, I put NEEDINFO
Comment 5 Xisco Faulí 2018-01-25 12:10:39 UTC
Hi Rainer Bielefeld Retired,
Could you please attached the document?
Closing as RESOLVED INSUFFICIENTDATA for the time being
Comment 6 Rainer Bielefeld Retired 2018-01-26 08:33:11 UTC
(In reply to Xisco Faulí from comment #5)
Well, that was easy: Follow Link in STR Step 1 -> Follow advice to "search for this page title", leads to search results with only 1 hit "QA/Meetings/2011", "Media:Regressions.odt"can be found easily on that page. Download link is <https://wiki.documentfoundation.org/images/1/1e/Regressions.odt>

In Step 7: I find 3 Hyperlinks in document:

1.
https://bugs.freedesktop.org/?bug_file_loc=&bug_file_loc_type=allwordssubstr&bug_id=&bug_id_type=anyexact&chfield=resolution&chfieldfrom=2012-01-01&chfieldto=2012-03-31&chfieldvalue=FIXED&cumulate=1&email1=&email2=&email3=&emailassigned_to1=1&emailassigned_to2=1&emailcc2=1&emailqa_contact2=1&emailreporter2=1&emailtype1=substring&emailtype2=substring&emailtype3=substring&field0-0-0=noop&keywords=regression%2C%20&keywords_type=allwords&longdesc=&longdesc_type=allwordssubstr&product=LibreOffice&query_format=report-graph&short_desc=&short_desc_type=allwordssubstr&status_whiteboard=&status_whiteboard_type=allwordssubstr&type0-0-0=noop&value0-0-0=&x_axis_field=version&x_labels_vertical=1&y_axis_field=component&z_axis_field=&format=bar&ctype=png&action=plot&width=600&height=350/report.cgi

2.
https://bugs.freedesktop.org/?bug_file_loc=&bug_file_loc_type=allwordssubstr&bug_id=&bug_id_type=anyexact&bug_severity=blocker&bug_severity=critical&bug_severity=major&bug_status=NEW&chfield=%5BBug%20creation%5D&chfieldfrom=2010-09-01&chfieldto=2011-10-31&chfieldvalue=&cumulate=1&email1=libreoffice-bugs%40lists.freedesktop.org&email2=&email3=&emailassigned_to1=1&emailassigned_to2=1&emailcc2=1&emailqa_contact2=1&emailreporter2=1&emailtype1=substring&emailtype2=substring&emailtype3=substring&field0-0-0=commenter&keywords=&keywords_type=allwords&longdesc=&longdesc_type=allwordssubstr&product=LibreOffice&short_desc=&short_desc_type=allwordssubstr&status_whiteboard=&status_whiteboard_type=allwordssubstr&type0-0-0=anywordssubstr&value0-0-0=LibreOffice%40bielefeldundbuss.de%2C%20detective.conan.1412%40gmail.com%2C%20iamtester8%40gmail.com%2C%20jbf.faure%40orange.fr%2C%20jr%40natural-computing.de%2C%20%20fyvaao%40ya.ru%2C%20vitriol_vitriol%40katamail.com%2C%20gerard.fargeot%40orange.fr%2C%20bugs%40eikota.de%2C%20andre.schnabel%40gmx.net%2C%20drew%40baseanswers.com%2C%20maand%40gmx.de%2C%20wope%40gmx.com%2C%20baur.steven%40googlemail.com%2C%20%20dmx404%40gmail.com%2C%20jeffdchang%40gmail.com%2C%20yfjiang%40novell.com%20&x_axis_field=component&x_labels_vertical=1&y_axis_field=version&z_axis_field=&format=bar&ctype=png&action=plot&width=700&height=350/report.cgi

3.
https://bugs.freedesktop.org/?bug_file_loc=&bug_file_loc_type=allwordssubstr&bug_id=&bug_id_type=anyexact&chfieldfrom=&chfieldto=Now&chfieldvalue=&email1=&email2=&email3=&emailassigned_to1=1&emailassigned_to2=1&emailcc2=1&emailqa_contact2=1&emailreporter2=1&emailtype1=substring&emailtype2=substring&emailtype3=substring&field0-0-0=noop&keywords=regression%2C%20&keywords_type=allwords&longdesc=&longdesc_type=allwordssubstr&product=LibreOffice&short_desc=&short_desc_type=allwordssubstr&status_whiteboard=&status_whiteboard_type=allwordssubstr&type0-0-0=noop&value0-0-0=&x_axis_field=component&z_axis_field=&format=pie&ctype=png&action=plot&width=600&height=450/report.cgi

In document on page 10 you find a pie chart under Headings "Some Data concerning relative frequency of Regressions in the different Components" - "Facts". Contents of that chart is linked with
4.
https://bugs.freedesktop.org/report.cgi?bug_file_loc=&bug_file_loc_type=allwordssubstr&bug_id=&bug_id_type=anyexact&chfieldfrom=&chfieldto=Now&chfieldvalue=&email1=&email2=&email3=&emailassigned_to1=1&emailassigned_to2=1&emailcc2=1&emailqa_contact2=1&emailreporter2=1&emailtype1=substring&emailtype2=substring&emailtype3=substring&field0-0-0=noop&keywords=regression%2C &keywords_type=allwords&longdesc=&longdesc_type=allwordssubstr&product=LibreOffice&short_desc=&short_desc_type=allwordssubstr&status_whiteboard=&status_whiteboard_type=allwordssubstr&type0-0-0=noop&value0-0-0=&x_axis_field=component&z_axis_field=&format=pie&ctype=png&action=plot&width=600&height=450

Link string of '4.' starts with "https://bugs.freedesktop.org/report.cgi?", which is different to beginning of links 1-3. So it seems that chart link is missing in Hyperlinks list under menu 'Edit'.

To be honest, I haven't a clue how to check Problem in Step 2 - it's long ago ...